> For the complete documentation index, see [llms.txt](https://docs.verifone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verifone.com/online-payments/payment-documents/invoice4u/use-invoice4u-with-ecomm-api.md).

# Use Invoice4U with eComm API

You can generate Invoice4U receipts through [eCommerce](broken://spaces/OiXbo96Og9EN7rz2U44K/pages/OnU159hHWJkJp14gc6AP) API.

If you are submitting a transaction via API, please see the API documentation, where you can indicate which Payment Document would you like to have generated if the Transaction Type and Status are eligible.

Depending on the Payment Document Type selected, various fields will also need to be submitted in the API request.

The table below presents the Invoice4U specific fields (required and not required) for ecommerce API:

| Parameters          | Type                                                 | Description                                                        |
| ------------------- | ---------------------------------------------------- | ------------------------------------------------------------------ |
| `receipt_type`      | Required (string)                                    | Supported types: “INVOICE\_RECEIPT”, “FULL\_RECEIPT” & “INVOICE”   |
| `line_items`        | Required (object) (for INVOICE and INVOICE\_RECEIPT) | Object carrying the parameters required for the product line items |
| `name`              | Required (string)                                    | Descriptive name of the order line item                            |
| `quantity`          | Required (integer)                                   | Quantity of the order line item                                    |
| `unit_price`        | Required (integer)                                   | Single unit price (tax included)                                   |
| `tax_rate`          | Optional (number)                                    | Tax rate                                                           |
| `total_amount`      | Required (integer)                                   | Total product amount (quantity × unit\_price)                      |
| `sku`               | Optional (string)                                    | The stock keeping unit (SKU) for the item                          |
| `sales_description` | Optional (string)                                    | General description of the document                                |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verifone.com/online-payments/payment-documents/invoice4u/use-invoice4u-with-ecomm-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
